Bug 1019253 - ECDHE: now supported in Fedora's OpenSSL
ECDHE: now supported in Fedora's OpenSSL
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dovecot (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Hlavinka
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ecc
  Show dependency treegraph
 
Reported: 2013-10-15 07:21 EDT by Harald Reindl
Modified: 2013-11-06 02:32 EST (History)
3 users (show)

See Also:
Fixed In Version: dovecot-2.1.17-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-06 02:32:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Harald Reindl 2013-10-15 07:21:49 EDT
that is the state of OpenSSL in Fedora after this morining
https://bugzilla.redhat.com/show_bug.cgi?id=319901#c108
Comment 1 Harald Reindl 2013-10-15 07:31:37 EDT
since OpenSSL in Fedora from now on supports ECDHE
depending software needs to be rebuilt to make use
of it as well as libraries like NSS/GNUTLS should
do the same and depending packages like Firefox
needs a rebuild against refreshed NSS to support 
it also on the client side

i made some triage today
_____________________________________________________

openssl:
https://bugzilla.redhat.com/show_bug.cgi?id=319901#c108

nss-softokn
https://bugzilla.redhat.com/show_bug.cgi?id=1019244

nss
https://bugzilla.redhat.com/show_bug.cgi?id=1019245

firefox
https://bugzilla.redhat.com/show_bug.cgi?id=1019247

thunderbird:
https://bugzilla.redhat.com/show_bug.cgi?id=1019249

httpd:
https://bugzilla.redhat.com/show_bug.cgi?id=1019251

dovecot:
https://bugzilla.redhat.com/show_bug.cgi?id=1019253

postfix:
https://bugzilla.redhat.com/show_bug.cgi?id=1019254

openssh:
https://bugzilla.redhat.com/show_bug.cgi?id=1019256

dbmail:
https://bugzilla.redhat.com/show_bug.cgi?id=1019259
Comment 2 Michal Hlavinka 2013-10-17 08:33:12 EDT
sorry, wrong bug, reverting...
Comment 3 Michal Hlavinka 2013-10-17 08:35:32 EDT
omg, that list of all affected packages got me confused. This is correct bug for dovecot. So once again... :)
Comment 4 Fedora Update System 2013-10-17 08:36:55 EDT
dovecot-2.1.17-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/dovecot-2.1.17-1.fc18
Comment 5 Fedora Update System 2013-10-18 15:40:28 EDT
Package dovecot-2.1.17-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dovecot-2.1.17-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19279/dovecot-2.1.17-1.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-11-06 02:32:51 EST
dovecot-2.1.17-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.